OWFS(1)

NAME
owfs - 1-wire filesystem

SYNOPSIS
owfs -m mountdir

DESCRIPTION

  owfs
owfs (1) is the filesystem client of the OWFS family of programs. It runs on linux, freebsd and Mac OS X, and requires the fuse kernel module and library. (http://fuse.sourceforge.net) which is a user-mode filesystem driver.

Essentially, the entire 1-wire bus is mounted to a place in your filesystem. All the 1-wire devices are accessible using standard file operations (read, write, directory listing). The system is safe, no actual files are exposed, these files are virtual. Not all operations are supported. Specifically, file creation, deletion, linking and renaming are not allowed. (You can link from outside to a owfs file, but not the other way around).

SPECIFIC OPTIONS

  -m --mountpoint=directory_path
Path of a directory to mount the 1-wire file system

The mountpoint is required. There is no default.

  --allow_other
Shorthand for fuse mount option "-o allow_other" Allows uther users to see the fuse (owfs) mount point and file system. Requires a setting in /etc/fuse.conf as well.

  --fuse-opt options
Sends options to the fuse-mount process. Options should be quoted, e.g. "

EXAMPLE

owfs -d /dev/ttyS0 -m /mnt/1wire
    Bus master on serial port

owfs -F -u -m /mnt/1wire
    USB adapter, temperatures reported in Fahrenheit

owfs -s 10.0.1.2:4304 -m /mnt/1wire
    Connect to an owserver (1) process that was started on another machine at tcp port 4304

SEE ALSO

AVAILABILITY
http://www.owfs.org

AUTHOR
Paul Alfille (paul.alfille@gmail.com)